import { CursorType, type IPlotController, type IPlotView, OxyRect, PlotModel, TrackerHitResult } from 'oxyplot-js';
export declare abstract class WebPlotViewBase implements IPlotView {
    controller?: IPlotController;
    private defaultController?;
    get actualController(): IPlotController;
    get actualModel(): PlotModel | undefined;
    abstract readonly clientArea: OxyRect;
    protected _zoomRectangle?: OxyRect;
    private _model?;
    get model(): PlotModel | undefined;
    set model(model: PlotModel | undefined);
    protected onModelChanged(oldModel?: PlotModel, newModel?: PlotModel): void;
    protected _isModelInvalidated: boolean;
    protected _updateDataFlag: boolean;
    invalidatePlot(updateData?: boolean): void;
    protected render(): void;
    setClipboardText(text: string): void;
    setCursorType(cursorType: CursorType): void;
    hideTracker(): void;
    showTracker(trackerHitResult: TrackerHitResult): void;
    hideZoomRectangle(): void;
    showZoomRectangle(rectangle: OxyRect): void;
    private _rendering;
    private renderSync;
    abstract renderOverride(model: PlotModel): Promise<void>;
}
//# sourceMappingURL=WebPlotViewBase.d.ts.map